package com.ximai.common.core.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PageParams {

    /**
     * 当前记录起始索引
     */
    @ApiModelProperty("页数")
    public Integer pageNum;

    /**
     * 每页显示记录数
     */
    @ApiModelProperty("分页SIZE")
    public Integer pageSize;

    /**
     * 排序列
     */
    @ApiModelProperty("排序列")
    public String orderByColumn;

    /**
     * 排序的方向 "desc" 或者 "asc".
     */
    @ApiModelProperty("排序方向")
    public String isAsc;

    /**
     * 分页参数合理化
     */
    public Boolean reasonable;
}
